Option Strict Off
Option Explicit On

Module IF_70
	'TEXIO USB488 Access API Define
	
	Declare Function USB488_DeviceOpen Lib "IF_60" (ByVal addr As Integer) As Integer
	Declare Function USB488_DeviceClose Lib "IF_60" (ByVal addr As Integer) As Integer
	
	Declare Function USB488_SetTimeout Lib "IF_60" (ByVal addr As Integer, ByVal sec As Integer) As Integer
	Declare Function USB488_SetRemote Lib "IF_60" (ByVal addr As Integer, ByVal rMode As Integer) As Integer
	Declare Function USB488_GetRemote Lib "IF_60" (ByVal addr As Integer) As Integer
	Declare Function USB488_DevClear Lib "IF_60" (ByVal addr As Integer) As Integer
	Declare Function USB488_GetSTBQuery Lib "IF_60" (ByVal addr As Integer) As Integer
	Declare Function USB488_ClearSTB Lib "IF_60" (ByVal addr As Integer) As Integer
	
	Declare Function USB488_Send Lib "IF_60" (ByVal addr As Integer, ByVal strBuf As String) As Integer
	Declare Function USB488_SendBinary Lib "IF_60" (ByVal addr As Integer, ByRef strBuf As Byte(), ByVal Count As Integer, ByRef NullMode As Integer) As Integer
	Declare Function USB488_Receive Lib "IF_60" (ByVal addr As Integer, ByVal Count As Integer, ByVal strBuf As String) As Integer
	Declare Function USB488_ReceiveB Lib "IF_60" Alias "USB488_Receive" (ByVal addr As Integer, ByVal Count As Integer, ByRef strBuf As Byte()) As Integer
	
	Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Integer)
	
	Public Const IF_USB As Short = 1
	Public Const IF_COM1 As Short = 2

	Public Const C_OUT_ON As String = "OUTPUT 1"      'oON
	Public Const C_OUT_OFF As String = "OUTPUT 0"     'oOFF
	Public Const C_REMOTE_OFF As String = "GTL"       '[g
	Public Const C_ADDR As String = "ADRS "           '[Jw
	Public Const C_PRESET As String = "PRESET "      'vZbgďo
	Public Const C_DISP1 As String = "MONDSP 0"      'ʏ\
	Public Const C_READBACK As String = "STATUS?"     'ذޯv

End Module
