//
//		TEXIO USB488 Access Lib	Ver1.00
//


#include  "StdAfx.h"

#define DLL_ERROR  -1
#define IF_USB  1
#define IF_COM  2


class IF70_API
{
public:
	
	long DeviceOpen( int Addr);
	int  DeviceClose( int Addr);
	int  Send( int Addr, char * Msg);
	int  SendBinary( int Addr , char * Stream , int iCount, int iMode);
	int  Receive( int Addr , int iCount , char * Query);
	int  SetTimeout( int Addr, int tTime);
	int  SetRemote( int Addr, int iMode);
	int	 GetRemote( int Addr) ;
	int	 DevClear( int Addr) ;
	int	 GetSTBQuery( int Addr) ;
	int  ClearSTB( int Addr);

	BOOL IFInitialize();

	IF70_API();
	virtual ~IF70_API();
	
	HINSTANCE m_IF70_APIDll;
	long ( __stdcall* m_IF70_DeviceOpen )( int );
	int  ( __stdcall* m_IF70_DeviceClose )( int );
	int  ( __stdcall* m_IF70_Send )( int , char * );
	int  ( __stdcall* m_IF70_SendBinary )( int ,char *,int , int );
	int  ( __stdcall* m_IF70_Receive )( int , int ,char * );
	int  ( __stdcall* m_IF70_SetTimeout )( int , int );
	int  ( __stdcall* m_IF70_SetRemote )( int , int );
	int	 ( __stdcall* m_IF70_GetRemote)( int ) ;
	int	 ( __stdcall* m_IF70_DevClear)( int ) ;
	int	 ( __stdcall* m_IF70_GetSTBQuery)( int ) ;
	int	 ( __stdcall* m_IF70_ClearSTB)( int ) ;

};



